#!/bin/sh -u

retval=0

_()
{
	gettext fusion-icon "$1"
}

check_compiz()
{
	if glxinfo | egrep -qs "^direct rendering: No|^OpenGL renderer string:.*Software.*"; then
		return 1
	else
		return 0
	fi
}

get_dialog()
{
	local dialog=

	dialog="$(which zenity 2>/dev/null)"
	[ -n "$dialog" ] || dialog="$(which xmessage 2>/dev/null)"

	echo "$dialog"
}

dialog="$(get_dialog)"
if ! check_compiz; then
	case "${dialog##*/}" in
		zenity)
			$dialog --question --ok-label="`_ ' Yes '`" --cancel-label="`_ ' No '`" \
				--text="$(printf "%s" "`_ 'WARNING! Your hardware probably\ndoes not support compiz window manager.\nStart it anyway?'`")"
			retval=$?
			;;
		xmessage)
			$dialog -buttons ' Yes ':0,' No ':1 -default ' No ' -center \
				"$(printf "%s" "WARNING! Your hardware probably\ndoes not support compiz window manager.\nStart it anyway?")"
			retval=$?
			;;
		*)
			echo "Couldn't find dialog programm" 1>&2
			retval=1
			;;
	esac
fi

exit $retval
