#!/usr/bin/env python
# This file is part of Fusion-icon.

import locale

try:
	# Set to user default, gracefully fallback on C otherwise
	locale.setlocale(locale.LC_ALL, '')
except locale.Error:
	pass

try:
	import gettext as gettextmod

	gettextmod.textdomain('fusion-icon')

	gettextfunc = gettextmod.gettext
	def gettext(text):
		return gettextfunc(text).decode("utf-8")

	ngettextfunc = gettextmod.ngettext
	def ngettext(singular, plural, n):
		return ngettextfunc(singular, plural, n).decode('utf-8')

except ImportError:
	# gettext is not available.  Provide a dummy function instead
	def gettext(text):
		return text

	def ngettext(singular, plural, n):
		if n == 1:
			return singular
		else:
			return plural

